#ifndef STRUCTS_H
#define STRUCTS_H
#include "types.h"
#include "avi.h"
#include "bitmap.h"
#include "wave.h"

typedef struct mem_chunk_tag{
	AVIStreamHeader *Data_h;
	DWORD DataSize_h;
    union unknown{
    BITMAPINFOHEADER   * v;
    WAVEFORMATEX	* a;
    } Data_f;
	DWORD DataSize_f;
	void *Data_d;
	DWORD DataSize_d;
	struct mem_chunk_tag *Next;
	int number;
}mem_chunk;

typedef struct{
	char* filename;
	long int size;
} file_data;

typedef struct{
	int Number[2];
	int TotalSize[2];
	int MinSize[2];
	int MaxSize[2];
}idxStat;
#endif
